function listaOpcjiChange()
{
  var div = document.getElementById("dataDiv");
  var listaOpcji = document.getElementById("listaOpcji");
  var str = listaOpcji[listaOpcji.selectedIndex].value;
  div.innerHTML = str;
}

function startRequest(zestaw)
{
  var btnZestaw1 = document.getElementById('btnZestaw1');
  var btnZestaw2 = document.getElementById('btnZestaw2');
  btnZestaw1.disabled = true;
  btnZestaw2.disabled = true;
  
  url = "http://localhost/dane.php?zestaw=" + zestaw;
  startGETRequest(url, onComplete, onEnd);
}

function onEnd()
{
  var btnZestaw1 = document.getElementById('btnZestaw1');
  var btnZestaw2 = document.getElementById('btnZestaw2');

  btnZestaw1.disabled = false;
  btnZestaw2.disabled = false;
}

function przetwarzajXML(xml)
{
  var listaOpcji = document.getElementById("listaOpcji");
  var opcje = xml.documentElement.childNodes;

  listaOpcji.options.length = 0;
  listaOpcji[0] = new Option("Wybierz jedną z opcji", "");
  for(var i = 0; i < opcje.length; i++){
    if(opcje[i].nodeType == 1){
      var opcja = opcje[i].firstChild.nodeValue;
      listaOpcji[i + 1] = new Option(opcja, opcja);
    }
  }
}

function onComplete(text, xml)
{
  if (!xml || !xml.documentElement){
    alert(text);
  }
  else if (xml.documentElement.nodeName == "parsererror"){
    alert(text);
  }
  else{
    przetwarzajXML(xml);
  }
}